package com.yd.api.practitioner.vo.policy.policyinfoquery;

public class IDInfo {
    private Long idType;//证件类型 1-身份证,2-护照,3-港澳身份证,4-台胞证,9-其他,20-组织机构代码
    private String idNo;//证件号码
    private Integer isIdLongTerm;//被保人证件是否长期有效  0=No 1=Yes
    private String idEffectiveFrom;//证件有效日期 (起)，格式yyyy-MM-dd
    private String idEffectiveTo;//证件有效日期 (终)，格式yyyy-MM-dd（长期有效则传3000-01-01）
    private String idCardFront;//身份证正面照片上传返回地址
    private String idCardFrontWx;//身份证正面照片上传返回地址
    private String idCardBack;//身份证反面照片上传返回地址
    private String idCardBackWx;//身份证反面照片上传返回地址

    public Long getIdType() {
        return idType;
    }

    public void setIdType(Long idType) {
        this.idType = idType;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public Integer getIsIdLongTerm() {
        return isIdLongTerm;
    }

    public void setIsIdLongTerm(Integer isIdLongTerm) {
        this.isIdLongTerm = isIdLongTerm;
    }

    public String getIdEffectiveFrom() {
        return idEffectiveFrom;
    }

    public void setIdEffectiveFrom(String idEffectiveFrom) {
        this.idEffectiveFrom = idEffectiveFrom;
    }

    public String getIdEffectiveTo() {
        return idEffectiveTo;
    }

    public void setIdEffectiveTo(String idEffectiveTo) {
        this.idEffectiveTo = idEffectiveTo;
    }

    public String getIdCardFront() {
        return idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardFrontWx() {
        return idCardFrontWx;
    }

    public void setIdCardFrontWx(String idCardFrontWx) {
        this.idCardFrontWx = idCardFrontWx;
    }

    public String getIdCardBack() {
        return idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getIdCardBackWx() {
        return idCardBackWx;
    }

    public void setIdCardBackWx(String idCardBackWx) {
        this.idCardBackWx = idCardBackWx;
    }
}
